Bug 82828 - www/trac doesn't list runtime deps
Summary: www/trac doesn't list runtime deps
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-30 16:30 UTC by Vick Khera
Modified: 2005-07-17 22:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2005-06-30 16:30:25 UTC
	

www/trac requires a bunch of modules (sqlite, clearsilver) which are shared
objects within python, but doesn't list them as runtime dependencies.  they
are listed only as build deps, but should be both.

Fix: 

add run dependencies == build dependencies.
Comment 1 Pav Lucistnik freebsd_committer 2005-07-03 16:33:34 UTC
You or maintainer care to submit a patch?

Or should I just copy BUILD_DEPENDS to RUN_DEPENDS -- maintainer is fine
with that?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Geography is only physics slowed down, with a few trees stuck on it...
  -- Terry Pratchett
Comment 2 Pav Lucistnik freebsd_committer 2005-07-03 16:33:37 UTC
State Changed
From-To: open->feedback

Asked around 


Comment 3 Pav Lucistnik freebsd_committer 2005-07-03 16:33:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Stick my nose into this
Comment 4 Vick Khera 2005-07-05 01:56:16 UTC
I was just thinking

RUN_DEPENDS = ${BUILD_DEPENDS}

would be sufficient.

On Jul 3, 2005, at 11:33 AM, Pav Lucistnik wrote:

> You or maintainer care to submit a patch?
>
> Or should I just copy BUILD_DEPENDS to RUN_DEPENDS -- maintainer is  
> fine
> with that?
Comment 5 Pav Lucistnik freebsd_committer 2005-07-17 22:09:47 UTC
State Changed
From-To: feedback->closed

Committed, thanks!